Package org.gradle.plugins.javascript.coffeescript

# Class CoffeeScriptCompile

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.SourceTask
org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

Direct Known Subclasses:
  `PlayCoffeeScriptCompile`

public class CoffeeScriptCompile extends SourceTask

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from class org.gradle.api.tasks.SourceTask

`source`

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`CoffeeScriptCompile()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doCompile()`
`FileCollection`
`getCoffeeScriptJs()`
`File`
`getDestinationDir()`
`CoffeeScriptCompileOptions`
`getOptions()`
`FileCollection`
`getRhinoClasspath()`
`protected org.gradle.process.internal.worker.WorkerProcessFactory`
`getWorkerProcessBuilderFactory()`
`void`
`options(Closure<?> closure)`
`void`
`options(Action<CoffeeScriptCompileOptions> action)`
`void`
`setCoffeeScriptJs(Object coffeeScriptJs)`
`void`
`setCoffeeScriptJs(FileCollection coffeeScriptJs)`
Sets Coffee Script Javascript file.
`void`
`setDestinationDir(File destinationDir)`
Sets destination directory.
`void`
`setDestinationDir(Object destinationDir)`
`void`
`setRhinoClasspath(Object rhinoClasspath)`
`void`
`setRhinoClasspath(FileCollection rhinoClasspath)`
Sets Rhino classpath.

### Methods inherited from class org.gradle.api.tasks.SourceTask

`exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CoffeeScriptCompile

public CoffeeScriptCompile()

## Method Details

### getWorkerProcessBuilderFactory

@Inject protected org.gradle.process.internal.worker.WorkerProcessFactory getWorkerProcessBuilderFactory()

### getCoffeeScriptJs

@InputFiles public FileCollection getCoffeeScriptJs()

### setCoffeeScriptJs

public void setCoffeeScriptJs(FileCollection coffeeScriptJs)
Sets Coffee Script Javascript file.

Since:
  4.0

### setCoffeeScriptJs

public void setCoffeeScriptJs(Object coffeeScriptJs)

### getRhinoClasspath

@Classpath public FileCollection getRhinoClasspath()

### setRhinoClasspath

public void setRhinoClasspath(FileCollection rhinoClasspath)
Sets Rhino classpath.

Since:
  4.0

### setRhinoClasspath

public void setRhinoClasspath(Object rhinoClasspath)

### getDestinationDir

@OutputDirectory public File getDestinationDir()

### setDestinationDir

public void setDestinationDir(File destinationDir)
Sets destination directory.

Since:
  4.0

### setDestinationDir

public void setDestinationDir(Object destinationDir)

### getOptions

public CoffeeScriptCompileOptions getOptions()

### options

public void options(Action<CoffeeScriptCompileOptions> action)

### options

public void options(Closure<?> closure)

### doCompile

public void doCompile()